Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.todo
Class ToDoFilter

    java.lang.Object
      |
      +--com.compoze.ebusiness.AbstractFilter
            |
            +--com.compoze.todo.ToDoFilter

All Implemented Interfaces:
  java.io.Serializable

public class ToDoFilter
extends AbstractFilter
implements java.io.Serializable

This class represents a to do filter. A to do filter is used to restrict the to dos that are returned as they are iterated over in a `ToDos` collection. By setting properties in this filter, the to dos that are returned include only those to dos with properties that are the same. The string are case-insensitive.

See the `ToDos` class for futher details and examples on how to filter to dos.

See Also:
  `ToDos.setFilter(ToDoFilter)`, Serialized Form

Fields inherited from class com.compoze.ebusiness.AbstractFilter
`m_rules, m_where`

Constructor Summary
`ToDoFilter()` Constructor.

Method Summary
`void` | `appendFilter(ToDoFilter filter, boolean bOr)` Appends the filter to this filter.
`void` | `clearFilters()` Clears all filter that are appended to this filter.
`com.compoze.ejb.persistence.database.IFilterRule` | `getFilterRule()`
`java.util.List` | `getFilters()` Gets a unmodifiable list of to do filters appended to this filter.
`void` | `removeFilter(ToDoFilter filter)` Removes the filter from this filter.
`void` | `setCustomNum1(long lCustomNum1)` Sets filtering by the custom num1 field.
`void` | `setCustomNum1(long[] customNum1s)` Sets filtering by the custom num1 field.
`void` | `setCustomNum1(long lCustomNum1, boolean bGreaterThan)` Sets filtering by the custom num1 field.
`void` | `setCustomNum1(long lFromCount, long lToCount)` Sets filtering by custom num1 between the specified range.
`void` | `setCustomNum2(long lCustomNum2)` Sets filtering by the custom num2 field.
`void` | `setCustomNum2(long[] customNum2s)` Sets filtering by the custom num2 field.
`void` | `setCustomNum2(long lCustomNum2, boolean bGreaterThan)` Sets filtering by the custom num2 field.
`void` | `setCustomNum2(long lFromCount, long lToCount)` Sets filtering by custom num2 between the specified range.
`void` | `setCustomNum3(long lCustomNum3)` Sets filtering by the custom num3 field.
`void` | `setCustomNum3(long[] customNum3s)` Sets filtering by the custom num3 field.
`void` | `setCustomNum3(long lCustomNum3, boolean bGreaterThan)` Sets filtering by the custom num3 field.
`void` | `setCustomNum3(long lFromCount, long lToCount)` Sets filtering by custom num3 between the specified range.
`void` | `setCustomNum4(long lCustomNum4)` Sets filtering by the custom num4 field.
`void` | `setCustomNum4(long[] customNum4s)` Sets filtering by the custom num4 field.
`void` | `setCustomNum4(long lCustomNum4, boolean bGreaterThan)` Sets filtering by the custom num4 field.
`void` | `setCustomNum4(long lFromCount, long lToCount)` Sets filtering by custom num4 between the specified range.
`void` | `setCustomStr1(java.lang.String sCustomStr1)` Sets filtering by custom str1.
`void` | `setCustomStr1(java.lang.String[] customString1s)` Sets filtering by custom str1.
`void` | `setCustomStr1(java.lang.String[] customString1s, boolean bExactMatch)` Sets filtering by custom str1.
`void` | `setCustomStr1(java.lang.String sCustomStr1, boolean bExactMatch)` Sets filtering by custom str1.
`void` | `setCustomStr2(java.lang.String sCustomStr2)` Sets filtering by custom str2.
`void` | `setCustomStr2(java.lang.String[] customString2s)` Sets filtering by custom str2.
`void` | `setCustomStr2(java.lang.String[] customString2s, boolean bExactMatch)` Sets filtering by custom str2.
`void` | `setCustomStr2(java.lang.String sCustomStr2, boolean bExactMatch)` Sets filtering by custom str2.
`void` | `setCustomStr3(java.lang.String sCustomStr3)` Sets filtering by custom str3.
`void` | `setCustomStr3(java.lang.String[] customString3s)` Sets filtering by custom str3.
`void` | `setCustomStr3(java.lang.String[] customString3s, boolean bExactMatch)` Sets filtering by custom str3.
`void` | `setCustomStr3(java.lang.String sCustomStr3, boolean bExactMatch)` Sets filtering by custom str3.
`void` | `setCustomStr4(java.lang.String sCustomStr4)` Sets filtering by custom str4.
`void` | `setCustomStr4(java.lang.String[] customString4s)` Sets filtering by custom str4.
`void` | `setCustomStr4(java.lang.String[] customString4s, boolean bExactMatch)` Sets filtering by custom str4.
`void` | `setCustomStr4(java.lang.String sCustomStr4, boolean bExactMatch)` Sets filtering by custom str4.
`void` | `setDateCreated(java.util.Date startDate, java.util.Date endDate)` Sets filtering by a date created range.
`void` | `setDateLastModified(java.util.Date startDate, java.util.Date endDate)` Sets filtering by a date last modified range.
`void` | `setDescription(java.lang.String sDescription)` Sets filtering by description.
`void` | `setDescription(java.lang.String[] descriptions)` Sets filtering by description.
`void` | `setDescription(java.lang.String[] descriptions, boolean bExactMatch)` Sets filtering by description.
`void` | `setDescription(java.lang.String sDescription, boolean bExactMatch)` Sets filtering by description.
`void` | `setDueDate(java.util.Date startDate, java.util.Date endDate)` Sets filtering by a due date range.
`void` | `setNotStatus(Status status)` Sets filtering by 'not' status.
`void` | `setNotStatus(Status[] status)` Sets filtering by multiple 'not' status.
`void` | `setPriority(Priority priority)` Sets filtering by priority.
`void` | `setPriority(Priority[] priorities)` Sets filtering by priorities.
`void` | `setStartDate(java.util.Date startDate, java.util.Date endDate)` Sets filtering by a start date range.
`void` | `setStatus(Status status)` Sets filtering by status.
`void` | `setStatus(Status[] status)` Sets filtering by multiple status.
`void` | `setStringRules(java.lang.String[] values, boolean bExact)` Sets the filtering by parent to do.
`void` | `setSummary(java.lang.String sSummary)` Sets filtering by summary.
`void` | `setSummary(java.lang.String[] summaries)` Sets filtering by summary.
`void` | `setSummary(java.lang.String[] summaries, boolean bExactMatch)` Sets filtering by summary.
`void` | `setSummary(java.lang.String sSummary, boolean bExactMatch)` Sets filtering by summary.
`void` | `unsetCustomNum1()` Unsets filtering by custom num1.
`void` | `unsetCustomNum2()` Unsets filtering by custom num2.
`void` | `unsetCustomNum3()` Unsets filtering by custom num3.
`void` | `unsetCustomNum4()` Unsets filtering by custom num4.
`void` | `unsetCustomStr1()` Unsets filterting by custom str1.
`void` | `unsetCustomStr2()` Unsets filterting by custom str2.
`void` | `unsetCustomStr3()` Unsets filterting by custom str3.
`void` | `unsetCustomStr4()` Unsets filterting by custom str4.
`void` | `unsetDateCreated()` Unsets filtering by date created.
`void` | `unsetDateLastModified()` Unsets filtering by date last modified.
`void` | `unsetDescription()` Unsets filterting by description.
`void` | `unsetDueDate()` Unsets filtering by due date.
`void` | `unsetNotStatus()` Unsets filtering by 'not' status.
`void` | `unsetPriority()` Unsets filtering by priorities.
`void` | `unsetStartDate()` Unsets filtering by start date.
`void` | `unsetStatus()` Unsets filtering by status.
`void` | `unsetSummary()` Unsets filterting by summary.

Methods inherited from class com.compoze.ebusiness.AbstractFilter
`clearWhereClause, getBaseRule, getOr, getWhereClause, isEmpty, setBeginsRule, setGreaterThanRule, setLessThanRule, setNotRule, setOr, setRule, setRule, setRule, setRule, setRule, setRule, setRule, setRule, setRule, setRule, setWhereClause, toRule, toString, unsetBeginsRule, unsetNotRule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ToDoFilter

    public ToDoFilter()

  Constructor.

Method Detail

### appendFilter

    public void appendFilter(ToDoFilter filter,
                             boolean bOr)

  Appends the filter to this filter.
  Parameters:
    `filter` - the filter the append
    `bOr` - `true` to append this filter with an 'or'; `false` to use 'and'

### removeFilter

    public void removeFilter(ToDoFilter filter)

  Removes the filter from this filter.
  Parameters:
    `filter` - the filter to remove

### clearFilters

    public void clearFilters()

  Clears all filter that are appended to this filter.

### getFilters

    public java.util.List getFilters()

  Gets a unmodifiable list of to do filters appended to this filter.
  Returns:
    an unmodifiable list of `ToDoFilter` objects

### setPriority

    public void setPriority(Priority priority)

  Sets filtering by priority.
  Parameters:
    `priority` - the priority to filter by

### setPriority

    public void setPriority(Priority[] priorities)

  Sets filtering by priorities.
  Parameters:
    `priorities` - the priorities to filter by

### unsetPriority

    public void unsetPriority()

  Unsets filtering by priorities.

### setStatus

    public void setStatus(Status status)

  Sets filtering by status.
  Parameters:
    `status` - the status to filter by

### setStatus

    public void setStatus(Status[] status)

  Sets filtering by multiple status.
  Parameters:
    `status` - the status to filter by

### unsetStatus

    public void unsetStatus()

  Unsets filtering by status.

### setNotStatus

    public void setNotStatus(Status status)

  Sets filtering by 'not' status.
  Parameters:
    `status` - the status to 'not' filter by

### setNotStatus

    public void setNotStatus(Status[] status)

  Sets filtering by multiple 'not' status.
  Parameters:
    `status` - the status to 'not' filter by

### unsetNotStatus

    public void unsetNotStatus()

  Unsets filtering by 'not' status.

### setSummary

    public void setSummary(java.lang.String sSummary)

  Sets filtering by summary. Checks the summary match as a substring of the summary.
  Parameters:
    `sSummary` - the summary
  See Also:
    `setSummary(String, boolean)`

### setSummary

    public void setSummary(java.lang.String sSummary,
                           boolean bExactMatch)

  Sets filtering by summary.
  Parameters:
    `sSummary` - the summary
    `bExactMatch` - `true` for an exact match of the string summary; `false` to match as substring summary

### setSummary

    public void setSummary(java.lang.String[] summaries)

  Sets filtering by summary. Checks the summary match as a substring of the summary.
  Parameters:
    `summaries` - the summaries
  See Also:
    `setSummary(String[], boolean)`

### setSummary

    public void setSummary(java.lang.String[] summaries,
                           boolean bExactMatch)

  Sets filtering by summary.
  Parameters:
    `summaries` - the summaries
    `exact` - `true` for an exact match of the summaries; `false` to match a substring

### unsetSummary

    public void unsetSummary()

  Unsets filterting by summary.

### setDescription

    public void setDescription(java.lang.String sDescription)

  Sets filtering by description. Checks the description match as a substring of the description.
  Parameters:
    `sDescription` - the description
  See Also:
    `setDescription(String, boolean)`

### setDescription

    public void setDescription(java.lang.String sDescription,
                               boolean bExactMatch)

  Sets filtering by description.
  Parameters:
    `sDescription` - the description
    `bExactMatch` - `true` for an exact match of the string description; `false` to match as substring description

### setDescription

    public void setDescription(java.lang.String[] descriptions)

  Sets filtering by description. Checks the description match as a substring of the description.
  Parameters:
    `descriptions` - the descriptions
  See Also:
    `setDescription(String[], boolean)`

### setDescription

    public void setDescription(java.lang.String[] descriptions,
                               boolean bExactMatch)

  Sets filtering by description.
  Parameters:
    `descriptions` - the descriptions
    `exact` - `true` for an exact match of the descriptions; `false` to match a substring

### unsetDescription

    public void unsetDescription()

  Unsets filterting by description.

### setDateCreated

    public void setDateCreated(java.util.Date startDate,
                               java.util.Date endDate)

  Sets filtering by a date created range.
  Parameters:
    `startDate` - the date created start range
    `endDate` - the date created end range

### unsetDateCreated

    public void unsetDateCreated()

  Unsets filtering by date created.

### setDateLastModified

    public void setDateLastModified(java.util.Date startDate,
                                    java.util.Date endDate)

  Sets filtering by a date last modified range.
  Parameters:
    `startDate` - the date last modified start range
    `endDate` - the date last modified end range

### unsetDateLastModified

    public void unsetDateLastModified()

  Unsets filtering by date last modified.

### setDueDate

    public void setDueDate(java.util.Date startDate,
                           java.util.Date endDate)

  Sets filtering by a due date range.
  Parameters:
    `startDate` - the due date start range
    `endDate` - the due date end range

### unsetDueDate

    public void unsetDueDate()

  Unsets filtering by due date.

### setStartDate

    public void setStartDate(java.util.Date startDate,
                             java.util.Date endDate)

  Sets filtering by a start date range.
  Parameters:
    `startDate` - the start date start range
    `endDate` - the start date end range

### unsetStartDate

    public void unsetStartDate()

  Unsets filtering by start date.

### setCustomNum1

    public void setCustomNum1(long[] customNum1s)

  Sets filtering by the custom num1 field.
  Parameters:
    `lCustomNum1` - the custom num1

### setCustomNum1

    public void setCustomNum1(long lCustomNum1)

  Sets filtering by the custom num1 field.
  Parameters:
    `lCustomNum1` - the custom num1

### setCustomNum1

    public void setCustomNum1(long lCustomNum1,
                              boolean bGreaterThan)

  Sets filtering by the custom num1 field.
  Parameters:
    `lCustomNum1` - the custom num1
    `bGreaterThan` - `true` for custom num1 greater than specified number; `false` for custom num1 less than specified number

### setCustomNum1

    public void setCustomNum1(long lFromCount,
                              long lToCount)

  Sets filtering by custom num1 between the specified range. The `lFromCount` must be less than the `lToCount`.
  Parameters:
    `lFromCount` - the custom num1 low range
    `lToCount` - the custom num1 high range

### unsetCustomNum1

    public void unsetCustomNum1()

  Unsets filtering by custom num1.

### setCustomNum2

    public void setCustomNum2(long[] customNum2s)

  Sets filtering by the custom num2 field.
  Parameters:
    `lCustomNum2` - the custom num2

### setCustomNum2

    public void setCustomNum2(long lCustomNum2)

  Sets filtering by the custom num2 field.
  Parameters:
    `lCustomNum2` - the custom num2

### setCustomNum2

    public void setCustomNum2(long lCustomNum2,
                              boolean bGreaterThan)

  Sets filtering by the custom num2 field.
  Parameters:
    `lCustomNum2` - the custom num2
    `bGreaterThan` - `true` for custom num2 greater than specified number; `false` for custom num2 less than specified number

### setCustomNum2

    public void setCustomNum2(long lFromCount,
                              long lToCount)

  Sets filtering by custom num2 between the specified range. The `lFromCount` must be less than the `lToCount`.
  Parameters:
    `lFromCount` - the custom num2 low range
    `lToCount` - the custom num2 high range

### unsetCustomNum2

    public void unsetCustomNum2()

  Unsets filtering by custom num2.

### setCustomNum3

    public void setCustomNum3(long[] customNum3s)

  Sets filtering by the custom num3 field.
  Parameters:
    `lCustomNum3` - the custom num3

### setCustomNum3

    public void setCustomNum3(long lCustomNum3)

  Sets filtering by the custom num3 field.
  Parameters:
    `lCustomNum3` - the custom num3

### setCustomNum3

    public void setCustomNum3(long lCustomNum3,
                              boolean bGreaterThan)

  Sets filtering by the custom num3 field.
  Parameters:
    `lCustomNum3` - the custom num3
    `bGreaterThan` - `true` for custom num3 greater than specified number; `false` for custom num3 less than specified number

### setCustomNum3

    public void setCustomNum3(long lFromCount,
                              long lToCount)

  Sets filtering by custom num3 between the specified range. The `lFromCount` must be less than the `lToCount`.
  Parameters:
    `lFromCount` - the custom num1 low range
    `lToCount` - the custom num1 high range

### unsetCustomNum3

    public void unsetCustomNum3()

  Unsets filtering by custom num3.

### setCustomNum4

    public void setCustomNum4(long[] customNum4s)

  Sets filtering by the custom num4 field.
  Parameters:
    `lCustomNum4` - the custom num4

### setCustomNum4

    public void setCustomNum4(long lCustomNum4)

  Sets filtering by the custom num4 field.
  Parameters:
    `lCustomNum4` - the custom num4

### setCustomNum4

    public void setCustomNum4(long lCustomNum4,
                              boolean bGreaterThan)

  Sets filtering by the custom num4 field.
  Parameters:
    `lCustomNum4` - the custom num4
    `bGreaterThan` - `true` for custom num4 greater than specified number; `false` for custom num4 less than specified number

### setCustomNum4

    public void setCustomNum4(long lFromCount,
                              long lToCount)

  Sets filtering by custom num4 between the specified range. The `lFromCount` must be less than the `lToCount`.
  Parameters:
    `lFromCount` - the custom num1 low range
    `lToCount` - the custom num1 high range

### unsetCustomNum4

    public void unsetCustomNum4()

  Unsets filtering by custom num4.

### setCustomStr1

    public void setCustomStr1(java.lang.String sCustomStr1)

  Sets filtering by custom str1. Checks the custom str1 match as a substring of the custom str1.
  Parameters:
    `sCustomStr1` - the Custom String1
  See Also:
    `setCustomStr1(String, boolean)`

### setCustomStr1

    public void setCustomStr1(java.lang.String sCustomStr1,
                              boolean bExactMatch)

  Sets filtering by custom str1.
  Parameters:
    `sCustomStr1` - the custom str1
    `bExactMatch` - `true` for an exact match of the string custom str1; `false` to match as substring custom str1

### setCustomStr1

    public void setCustomStr1(java.lang.String[] customString1s)

  Sets filtering by custom str1. Checks the custom str1 match as a substring of the custom str1.
  Parameters:
    `customString1s` - the custom string1s
  See Also:
    `setCustomStr1(String[], boolean)`

### setCustomStr1

    public void setCustomStr1(java.lang.String[] customString1s,
                              boolean bExactMatch)

  Sets filtering by custom str1.
  Parameters:
    `customString1s` - the custom string1s
    `exact` - `true` for an exact match of the custom string1s; `false` to match a substring

### unsetCustomStr1

    public void unsetCustomStr1()

  Unsets filterting by custom str1.

### setCustomStr2

    public void setCustomStr2(java.lang.String sCustomStr2)

  Sets filtering by custom str2. Checks the custom str2 match as a substring of the custom str2.
  Parameters:
    `sCustomStr2` - the Custom String2
  See Also:
    `setCustomStr2(String, boolean)`

### setCustomStr2

    public void setCustomStr2(java.lang.String sCustomStr2,
                              boolean bExactMatch)

  Sets filtering by custom str2.
  Parameters:
    `sCustomStr2` - the custom str2
    `bExactMatch` - `true` for an exact match of the string custom str2; `false` to match as substring custom str2

### setCustomStr2

    public void setCustomStr2(java.lang.String[] customString2s)

  Sets filtering by custom str2. Checks the custom str2 match as a substring of the custom str2.
  Parameters:
    `customString2s` - the custom string2s
  See Also:
    `setCustomStr2(String[], boolean)`

### setCustomStr2

    public void setCustomStr2(java.lang.String[] customString2s,
                              boolean bExactMatch)

  Sets filtering by custom str2.
  Parameters:
    `customString2s` - the custom string2s
    `exact` - `true` for an exact match of the custom string2s; `false` to match a substring

### unsetCustomStr2

    public void unsetCustomStr2()

  Unsets filterting by custom str2.

### setCustomStr3

    public void setCustomStr3(java.lang.String sCustomStr3)

  Sets filtering by custom str3. Checks the custom str3 match as a substring of the custom str3.
  Parameters:
    `sCustomStr3` - the Custom String3
  See Also:
    `setCustomStr3(String, boolean)`

### setCustomStr3

    public void setCustomStr3(java.lang.String sCustomStr3,
                              boolean bExactMatch)

  Sets filtering by custom str3.
  Parameters:
    `sCustomStr3` - the custom str3
    `bExactMatch` - `true` for an exact match of the string custom str3; `false` to match as substring custom str3

### setCustomStr3

    public void setCustomStr3(java.lang.String[] customString3s)

  Sets filtering by custom str3. Checks the custom str3 match as a substring of the custom str3.
  Parameters:
    `customString3s` - the custom string3s
  See Also:
    `setCustomStr3(String[], boolean)`

### setCustomStr3

    public void setCustomStr3(java.lang.String[] customString3s,
                              boolean bExactMatch)

  Sets filtering by custom str3.
  Parameters:
    `customString3s` - the custom string3s
    `exact` - `true` for an exact match of the custom string3s; `false` to match a substring

### unsetCustomStr3

    public void unsetCustomStr3()

  Unsets filterting by custom str3.

### setCustomStr4

    public void setCustomStr4(java.lang.String sCustomStr4)

  Sets filtering by custom str4. Checks the custom str4 match as a substring of the custom str4.
  Parameters:
    `sCustomStr4` - the Custom String4
  See Also:
    `setCustomStr4(String, boolean)`

### setCustomStr4

    public void setCustomStr4(java.lang.String sCustomStr4,
                              boolean bExactMatch)

  Sets filtering by custom str4.
  Parameters:
    `sCustomStr4` - the custom str4
    `bExactMatch` - `true` for an exact match of the string custom str4; `false` to match as substring custom str4

### setCustomStr4

    public void setCustomStr4(java.lang.String[] customString4s)

  Sets filtering by custom str4. Checks the custom str4 match as a substring of the custom str4.
  Parameters:
    `customString4s` - the custom string4s
  See Also:
    `setCustomStr4(String[], boolean)`

### setCustomStr4

    public void setCustomStr4(java.lang.String[] customString4s,
                              boolean bExactMatch)

  Sets filtering by custom str4.
  Parameters:
    `customString4s` - the custom string4s
    `exact` - `true` for an exact match of the custom string4s; `false` to match a substring

### unsetCustomStr4

    public void unsetCustomStr4()

  Unsets filterting by custom str4.

### setStringRules

    public void setStringRules(java.lang.String[] values,
                               boolean bExact)

  Sets the filtering by parent to do.
  Parameters:
    `lToDoID` - the to do id to filter by

### getFilterRule

    public com.compoze.ejb.persistence.database.IFilterRule getFilterRule()

  Overrides:
    `getFilterRule` in class `AbstractFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.